<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_fb_include.php
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	$user_fb = isset($user_data['user_fb']) ? $user_data['user_fb'] : "";
	if ($this->isError()) { $user_fb = isset($_POST['user_fb']) ? stripinput($_POST['user_fb']) : $user_fb; }

	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_fb")."'><label for='user_fb'>".$locale['uf_fb'].$required."</label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_fb")."'>";
	echo "<input type='text' id='user_fb' name='user_fb' value='".$user_fb."' maxlength='50' class='textbox' style='width:200px;' />";
	echo "</td>\n</tr>\n";

	if ($required) { $this->setRequiredJavaScript("user_fb", $locale['uf_fb_error']); }

// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_fb']) {
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_fb']."</td>\n";
		echo "<td align='right' class='tbl1'>";
		if (!strstr($user_data['user_fb'], "http://www.facebook.com/")) {
			$urlprefix = "http://www.facebook.com/";
		} else {
			$urlprefix = "";
		}
		echo "<a href='".$urlprefix.$user_data['user_fb']."' title='".$urlprefix.$user_data['user_fb']."' target='_blank'><img src='".BASEDIR."includes/user_fields/images/fb.png' border='0' alt='".$user_data['user_fb']."' title='".$user_data['user_fb']."'/></a>\n";
		echo "</td>\n</tr>\n";
	}

// Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
	if (isset($_POST['user_fb']) && ($_POST['user_fb'] != "" || $this->_isNotRequired("user_fb"))) {
		// Set update or insert user data
		$this->_setDBValue("user_fb", $_POST['user_fb']);
	} else {
		$this->_setError("user_fb", $locale['uf_fb_error'], true);	
	}
}
?>